RubyGem Build Status Coverage Status

A Ruby Object Mapper for Mongo.


$ gem install mongo_mapper



MongoMapper is tested against:

  • MRI 1.8.7

  • MRI 1.9.3

  • MRI 2.0.0

  • MRI 2.1.1

  • JRuby (Versions with 1.9 compatibility)

Additionally, MongoMapper is tested against:

  • Rails 3.0.x

  • Rails 3.1.x

  • Rails 3.2.x

  • Rails 4.0.x

Contributing & Development

$ git clone && cd mongomapper
$ bundle install
$ bundle exec rake
  • Fork the project.

  • Make your feature addition or bug fix. All specs should pass.

  • Add specs for your changes. This is important so I don't break it in a future version unintentionally.

  • Commit, do not mess with Rakefile, version, or history. If you want to have your own version, that is fine but bump version in a commit by itself in another branch so a maintainer ignore it when your pull request is merged.

  • Send a pull request. Bonus points for topic branches.

Problems or Questions?

Hit up the Google group:

Hop on IRC: irc://

License & Copyright

See LICENSE for details.